apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2026-02-18T01:49:54Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:transferNetwork': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2026-02-18T01:49:54Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2026-02-18T01:50:14Z'
  name: warm-rhel9-2ns
  namespace: openshift-mtv
  resourceVersion: '33401370'
  uid: 2c46332a-209d-40c8-9d0d-276ca4012a30
spec:
  transferNetwork:
    apiVersion: k8s.cni.cncf.io/v1
    kind: NetworkAttachmentDefinition
    name: br-eno8403
    namespace: openshift-mtv
    uid: e92eea19-1a44-4480-9cee-76a49c03d5a3
  pvcNameTemplateUseGenerateName: true
  warm: true
  migrateSharedDisks: true
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 23c0e29c-907b-4317-b7dd-5e781fb5633c
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: v8
      namespace: openshift-mtv
      uid: b2fd45dd-6a0c-40ff-b487-339877b27249
  preserveStaticIPs: true
  type: warm
  vms:
    - id: vm-1009
      name: mtv-func-rhel9-6
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: v8-45xf9
      namespace: openshift-mtv
      uid: e6a07d43-9f18-47bd-8385-e15c4072a1a3
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: v8-fxdzc
      namespace: openshift-mtv
      uid: 31bab66b-5ba7-4879-b9c8-54c681c57021
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Warn
      lastTransitionTime: '2026-02-18T01:50:06Z'
      message: 'Your migration plan preserves the static IPs of VMs and uses Pod Networking target network mapping. This combination isn''t supported, because VM IPs aren''t preserved in Pod Networking migrations.'
      status: 'True'
      type: NetMapPreservingIPsOnPodNetwork
    - category: Required
      lastTransitionTime: '2026-02-18T01:50:14Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
  migration: {}
  observedGeneration: 1
